Package org.apache.cxf.staxutils

# Class AutoCloseableXMLStreamReader

java.lang.Object
org.apache.cxf.staxutils.AutoCloseableXMLStreamReader

All Implemented Interfaces:
  `AutoCloseable`, `XMLStreamConstants`, `XMLStreamReader`

public class AutoCloseableXMLStreamReader extends Object implements XMLStreamReader, AutoCloseable

- ## Field Summary

  ### Fields inherited from interface javax.xml.stream.XMLStreamConstants

  `ATTRIBUTE, CDATA, CHARACTERS, COMMENT, DTD, END_DOCUMENT, END_ELEMENT, ENTITY_DECLARATION, ENTITY_REFERENCE, NAMESPACE, NOTATION_DECLARATION, PROCESSING_INSTRUCTION, SPACE, START_DOCUMENT, START_ELEMENT`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `close()`
  `int`
  `getAttributeCount()`
  `String`
  `getAttributeLocalName(int index)`
  `QName`
  `getAttributeName(int index)`
  `String`
  `getAttributeNamespace(int index)`
  `String`
  `getAttributePrefix(int index)`
  `String`
  `getAttributeType(int index)`
  `String`
  `getAttributeValue(int index)`
  `String`
  `getAttributeValue(String namespaceURI, String localName)`
  `String`
  `getCharacterEncodingScheme()`
  `String`
  `getElementText()`
  `String`
  `getEncoding()`
  `int`
  `getEventType()`
  `String`
  `getLocalName()`
  `Location`
  `getLocation()`
  `QName`
  `getName()`
  `NamespaceContext`
  `getNamespaceContext()`
  `int`
  `getNamespaceCount()`
  `String`
  `getNamespacePrefix(int index)`
  `String`
  `getNamespaceURI()`
  `String`
  `getNamespaceURI(int index)`
  `String`
  `getNamespaceURI(String prefix)`
  `String`
  `getPIData()`
  `String`
  `getPITarget()`
  `String`
  `getPrefix()`
  `Object`
  `getProperty(String name)`
  `String`
  `getText()`
  `char[]`
  `getTextCharacters()`
  `int`
  `getTextCharacters(int sourceStart, char[] target, int targetStart, int length)`
  `int`
  `getTextLength()`
  `int`
  `getTextStart()`
  `String`
  `getVersion()`
  `boolean`
  `hasName()`
  `boolean`
  `hasNext()`
  `boolean`
  `hasText()`
  `boolean`
  `isAttributeSpecified(int index)`
  `boolean`
  `isCharacters()`
  `boolean`
  `isEndElement()`
  `boolean`
  `isStandalone()`
  `boolean`
  `isStartElement()`
  `boolean`
  `isWhiteSpace()`
  `int`
  `next()`
  `int`
  `nextTag()`
  `void`
  `require(int type, String namespaceURI, String localName)`
  `boolean`
  `standaloneSet()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### close

    public void close() throws XMLStreamException
    Specified by:
      `close` in interface `AutoCloseable`
    Specified by:
      `close` in interface `XMLStreamReader`
    Throws:
      `XMLStreamException`

  - ### getProperty

    public Object getProperty(String name) throws IllegalArgumentException
    Specified by:
      `getProperty` in interface `XMLStreamReader`
    Throws:
      `IllegalArgumentException`

  - ### next

    public int next() throws XMLStreamException
    Specified by:
      `next` in interface `XMLStreamReader`
    Throws:
      `XMLStreamException`

  - ### require

    public void require(int type, String namespaceURI, String localName) throws XMLStreamException
    Specified by:
      `require` in interface `XMLStreamReader`
    Throws:
      `XMLStreamException`

  - ### getElementText

    public String getElementText() throws XMLStreamException
    Specified by:
      `getElementText` in interface `XMLStreamReader`
    Throws:
      `XMLStreamException`

  - ### nextTag

    public int nextTag() throws XMLStreamException
    Specified by:
      `nextTag` in interface `XMLStreamReader`
    Throws:
      `XMLStreamException`

  - ### hasNext

    public boolean hasNext() throws XMLStreamException
    Specified by:
      `hasNext` in interface `XMLStreamReader`
    Throws:
      `XMLStreamException`

  - ### getNamespaceURI

    public String getNamespaceURI(String prefix)
    Specified by:
      `getNamespaceURI` in interface `XMLStreamReader`

  - ### isStartElement

    public boolean isStartElement()
    Specified by:
      `isStartElement` in interface `XMLStreamReader`

  - ### isEndElement

    public boolean isEndElement()
    Specified by:
      `isEndElement` in interface `XMLStreamReader`

  - ### isCharacters

    public boolean isCharacters()
    Specified by:
      `isCharacters` in interface `XMLStreamReader`

  - ### isWhiteSpace

    public boolean isWhiteSpace()
    Specified by:
      `isWhiteSpace` in interface `XMLStreamReader`

  - ### getAttributeValue

    public String getAttributeValue(String namespaceURI, String localName)
    Specified by:
      `getAttributeValue` in interface `XMLStreamReader`

  - ### getAttributeCount

    public int getAttributeCount()
    Specified by:
      `getAttributeCount` in interface `XMLStreamReader`

  - ### getAttributeName

    public QName getAttributeName(int index)
    Specified by:
      `getAttributeName` in interface `XMLStreamReader`

  - ### getAttributeNamespace

    public String getAttributeNamespace(int index)
    Specified by:
      `getAttributeNamespace` in interface `XMLStreamReader`

  - ### getAttributeLocalName

    public String getAttributeLocalName(int index)
    Specified by:
      `getAttributeLocalName` in interface `XMLStreamReader`

  - ### getAttributePrefix

    public String getAttributePrefix(int index)
    Specified by:
      `getAttributePrefix` in interface `XMLStreamReader`

  - ### getAttributeType

    public String getAttributeType(int index)
    Specified by:
      `getAttributeType` in interface `XMLStreamReader`

  - ### getAttributeValue

    public String getAttributeValue(int index)
    Specified by:
      `getAttributeValue` in interface `XMLStreamReader`

  - ### isAttributeSpecified

    public boolean isAttributeSpecified(int index)
    Specified by:
      `isAttributeSpecified` in interface `XMLStreamReader`

  - ### getNamespaceCount

    public int getNamespaceCount()
    Specified by:
      `getNamespaceCount` in interface `XMLStreamReader`

  - ### getNamespacePrefix

    public String getNamespacePrefix(int index)
    Specified by:
      `getNamespacePrefix` in interface `XMLStreamReader`

  - ### getNamespaceURI

    public String getNamespaceURI(int index)
    Specified by:
      `getNamespaceURI` in interface `XMLStreamReader`

  - ### getNamespaceContext

    public NamespaceContext getNamespaceContext()
    Specified by:
      `getNamespaceContext` in interface `XMLStreamReader`

  - ### getEventType

    public int getEventType()
    Specified by:
      `getEventType` in interface `XMLStreamReader`

  - ### getText

    public String getText()
    Specified by:
      `getText` in interface `XMLStreamReader`

  - ### getTextCharacters

    public char[] getTextCharacters()
    Specified by:
      `getTextCharacters` in interface `XMLStreamReader`

  - ### getTextCharacters

    public int getTextCharacters(int sourceStart, char[] target, int targetStart, int length) throws XMLStreamException
    Specified by:
      `getTextCharacters` in interface `XMLStreamReader`
    Throws:
      `XMLStreamException`

  - ### getTextStart

    public int getTextStart()
    Specified by:
      `getTextStart` in interface `XMLStreamReader`

  - ### getTextLength

    public int getTextLength()
    Specified by:
      `getTextLength` in interface `XMLStreamReader`

  - ### getEncoding

    public String getEncoding()
    Specified by:
      `getEncoding` in interface `XMLStreamReader`

  - ### hasText

    public boolean hasText()
    Specified by:
      `hasText` in interface `XMLStreamReader`

  - ### getLocation

    public Location getLocation()
    Specified by:
      `getLocation` in interface `XMLStreamReader`

  - ### getName

    public QName getName()
    Specified by:
      `getName` in interface `XMLStreamReader`

  - ### getLocalName

    public String getLocalName()
    Specified by:
      `getLocalName` in interface `XMLStreamReader`

  - ### hasName

    public boolean hasName()
    Specified by:
      `hasName` in interface `XMLStreamReader`

  - ### getNamespaceURI

    public String getNamespaceURI()
    Specified by:
      `getNamespaceURI` in interface `XMLStreamReader`

  - ### getPrefix

    public String getPrefix()
    Specified by:
      `getPrefix` in interface `XMLStreamReader`

  - ### getVersion

    public String getVersion()
    Specified by:
      `getVersion` in interface `XMLStreamReader`

  - ### isStandalone

    public boolean isStandalone()
    Specified by:
      `isStandalone` in interface `XMLStreamReader`

  - ### standaloneSet

    public boolean standaloneSet()
    Specified by:
      `standaloneSet` in interface `XMLStreamReader`

  - ### getCharacterEncodingScheme

    public String getCharacterEncodingScheme()
    Specified by:
      `getCharacterEncodingScheme` in interface `XMLStreamReader`

  - ### getPITarget

    public String getPITarget()
    Specified by:
      `getPITarget` in interface `XMLStreamReader`

  - ### getPIData

    public String getPIData()
    Specified by:
      `getPIData` in interface `XMLStreamReader`